from flask_shop import db
from werkzeug.security import generate_password_hash, check_password_hash
from datetime import datetime


class BaseModel:
    # 创建时间
    create_time = db.Column(db.DateTime, default=datetime.now)
    # 更新时间
    update_time = db.Column(db.DateTime, default=datetime.now, onupdate=datetime.now)

class User(db.Model, BaseModel):
    __tablename__ = "t_user"
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(32), unique=True, nullable=False)
    pwd = db.Column(db.String(128))
    nick_name = db.Column(db.String(32))
    phone = db.Column(db.String(11))
    email = db.Column(db.String(32))


    # 加密 密码
    @property
    def password(self):
        return pwd

    @password.setter
    def password(self, t_pwd):
        # 加密
        self.pwd = generate_password_hash(t_pwd)

    # 进行密码比对
    def check_password(self, t_pwd):
        return check_password_hash(self.pwd, t_pwd)